GET api/MedicalExamcos/GetQuestionnaireRestriction?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfMEQuestionnairerestrictedDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of MEQuestionnairerestrictedDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"QuestionnaireId": 2,
"QuestionnaiRestrictionId": 3,
"IsSelected": true,
"Name": "sample string 5",
"Sequence": 6,
"ExamId": "sample string 7",
"ValidFlag": true,
"DateCreated": "2026-03-23T03:31:21.9099119-07:00",
"DateUpdated": "2026-03-23T03:31:21.9099119-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12
},
{
"Id": 1,
"QuestionnaireId": 2,
"QuestionnaiRestrictionId": 3,
"IsSelected": true,
"Name": "sample string 5",
"Sequence": 6,
"ExamId": "sample string 7",
"ValidFlag": true,
"DateCreated": "2026-03-23T03:31:21.9099119-07:00",
"DateUpdated": "2026-03-23T03:31:21.9099119-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12
}
],
"totalCount": 3
}
application/xml, text/xml
Sample:
<AsapResponseOfArrayOfMEQuestionnairerestrictedDTOzIntITI8 xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.Common">
<isSuccess>true</isSuccess>
<jsonObj xmlns:d2p1="http://schemas.datacontract.org/2004/07/ASAP_BL.DTO.MedicalExam">
<d2p1:MEQuestionnairerestrictedDTO>
<DateCreated xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.BL">2026-03-23T03:31:21.9099119-07:00</DateCreated>
<DateUpdated xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.BL">2026-03-23T03:31:21.9099119-07:00</DateUpdated>
<UserIDCreated xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.BL">11</UserIDCreated>
<UserIDUpdated xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.BL">12</UserIDUpdated>
<ValidFlag xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.BL">true</ValidFlag>
<d2p1:ExamId>sample string 7</d2p1:ExamId>
<d2p1:Id>1</d2p1:Id>
<d2p1:IsSelected>true</d2p1:IsSelected>
<d2p1:Name>sample string 5</d2p1:Name>
<d2p1:QuestionnaiRestrictionId>3</d2p1:QuestionnaiRestrictionId>
<d2p1:QuestionnaireId>2</d2p1:QuestionnaireId>
<d2p1:Sequence>6</d2p1:Sequence>
</d2p1:MEQuestionnairerestrictedDTO>
<d2p1:MEQuestionnairerestrictedDTO>
<DateCreated xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.BL">2026-03-23T03:31:21.9099119-07:00</DateCreated>
<DateUpdated xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.BL">2026-03-23T03:31:21.9099119-07:00</DateUpdated>
<UserIDCreated xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.BL">11</UserIDCreated>
<UserIDUpdated xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.BL">12</UserIDUpdated>
<ValidFlag xmlns="http://schemas.datacontract.org/2004/07/ASAP_BL.BL">true</ValidFlag>
<d2p1:ExamId>sample string 7</d2p1:ExamId>
<d2p1:Id>1</d2p1:Id>
<d2p1:IsSelected>true</d2p1:IsSelected>
<d2p1:Name>sample string 5</d2p1:Name>
<d2p1:QuestionnaiRestrictionId>3</d2p1:QuestionnaiRestrictionId>
<d2p1:QuestionnaireId>2</d2p1:QuestionnaireId>
<d2p1:Sequence>6</d2p1:Sequence>
</d2p1:MEQuestionnairerestrictedDTO>
</jsonObj>
<message>sample string 2</message>
<totalCount>3</totalCount>
</AsapResponseOfArrayOfMEQuestionnairerestrictedDTOzIntITI8>